//
//  TKTheme.h
//  ThemeKit
//
//  Created by Colin Cornaby on Mon Dec 08 2003.
//  Copyright (c) 2003 Carpe Stellarem. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface TKTheme : NSManagedObjectContext {
}

-(id)initWithThemeFromFile:(NSString *)theFilePath;
+(id)themeWithThemeFromFile:(NSString *)theFilePath;
-(NSArray *)theVariations;
-(id)addVariation:(NSString *)theName;
-(void)removeVariation:(id)theVariation;
-(id)appSkinForIdentifier:(NSString *)identifier;
-(id)addAppSkinForIdentifier:(NSString *)identifier;
-(NSArray *)appSkinsForIdentifier:(NSString *)identifier sortDescriptors:(NSArray *)sortDescriptors;
-(void)removeAppSkin:(id)appSkin;
-(BOOL)isMutableContext;
-(BOOL)isAllowedToAccessSuper;
@end
